Skip to content

Delete User ​

Permissions ​

The Identity Management API is authorized at the application level. Before calling the API, you need to set API permissions for different applications. For details, please refer to API Permissions.

Permission CodeDescription
user_allRead and write permissions for user management APIs
allRead and write permissions for all APIs

Request Description ​

Request Headers ​

Parameter NameNameRequiredTypeDescription
AuthorizationAuthorizationYesStringFormat: Bearer {access_token}
Content-TypeContent TypeYesStringFixed value: application/json; charset=utf-8

Request Example ​

None

Request Parameters ​

Parameter NameNameRequiredTypeDescription
user_idUser IDYesStringID of the user to delete

Response Example ​

Success Example ​

HTTP/1.1 204 No Content

Error Example ​

HTTP/1.1 400 Bad Request

json
{
  "error_msg": "User does not exist",
  "error_code": "USER.0001"
}

Response Parameters ​

None

Error Codes ​

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400USER.0001用户不存在User does not existPlease check whether the corresponding user exists

BambooCloud IDaaS Open Platform